Subject: Re: string & mingw32 2.8.0
From: [email-masked] (Earnie Boyd)

10 Feb 1998 15:25:03 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

This sample works with egcs.

This sample gets a parse error before `>' from 
include/g++/std/bastring.h @ line 65 with mingw32 2.8.0

The bastring.h file changed between gcc versions.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Reply-To: "Roland Weiss" <[email-masked]>
>From: "Roland Weiss" <[email-masked]>
>To: "gnu-win32 Mailing List" <[email-masked]>
>Cc: "Jan-Jaap van der Heijden" <[email-masked]>
>Subject: string & mingw32 2.8.0
>Date: Mon, 9 Feb 1998 15:32:24 +0100
>
>Hello guys,
>
>I've encountered the following problem with the string library. This 
program
>compiles with some warnings (they don't bother me):
>
>//---------------------------------------------------------------------
>#include <string>
>#include <iostream>
>using namespace std;
>
>void main() {
>  string s = "Hello World.";
>  cout << "s: " << s << endl;
>}
>//----------------------------------------------------------------------
>
>But I can't link this file, when i write
>> g++ stringtest.o
>I get the errors in the attachement file.
>
>Other programs work just fine (using STL, streams...).
>
>my system: NT 4.0 Server, SP3, mingw32 2.8.0 from Jan-Jaap van der 
Heijden
>
>
>any help would be really appreciated
>
>
>Roland
>[email-masked]
>
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".